#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries

Summary:	Library and tools for reading and converting Apple Keynote presentations
Summary(pl.UTF-8):	Biblioteka i narzędzia do odczytu i konwersji prezentacji Apple Keynote
Name:		libetonyek
Version:	0.1.3
Release:	1
License:	MPL v2.0
Group:		Libraries
Source0:	http://dev-www.libreoffice.org/src/libetonyek/%{name}-%{version}.tar.xz
# Source0-md5:	8a2c7de34b5c02f4a75ba086bc5af57b
URL:		http://www.freedesktop.org/wiki/Software/libetonyek/
BuildRequires:	GLM
BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	gperf
BuildRequires:	librevenge-devel >= 0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	mdds-devel >= 0.12.1
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libetonyek is a library and a set of tools for reading and converting
Apple Keynote presentations. The library tries to extract the most
important parts of version 2 format of Keynote (version 1 is not
supported yet, but it should be in the future). See FEATURES for what
is currently supported.

%description -l pl.UTF-8
libetonyek to biblioteka i zestaw narzędzi do odczytu i konwersji
prezentacji Apple Keynote. Biblioteka próbuje wydobyć najważniejsze
części formatu Keynote w wersji 2 (wersja 1 nie jest jeszcze
obsługiwana, ale powinna być w przyszłości). Informacje o
obsługiwanych elementach można znaleźć w pliku FEATURES.

%package devel
Summary:	Header files for libetonyek library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libetonyek
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	librevenge-devel >= 0.0
Requires:	libstdc++-devel
Requires:	libxml2-devel >= 2.0
Requires:	zlib-devel

%description devel
Header files for libetonyek library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libetonyek.

%package static
Summary:	Static libetonyek library
Summary(pl.UTF-8):	Statyczna biblioteka libetonyek
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libetonyek library.

%description static -l pl.UTF-8
Statyczna biblioteka libetonyek.

%package apidocs
Summary:	libetonyek API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libetonyek
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libetonyek library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libetonyek.

%package tools
Summary:	Tools to transform Apple Keynote presentations into other formats
Summary(pl.UTF-8):	Programy przekształcania prezentacji Apple Keynote do innych formatów
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform Apple Keynote presentations into other formats.
Currently supported: XHTML, raw.

%description tools -l pl.UTF-8
Narzędzia do przekształcania prezentacji Apple Keynote do innych
formatów. Aktualnie obsługiwane są XHTML i format surowy.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libetonyek-*.la
# packaged as %doc in -apidocs
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libetonyek

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FEATURES NEWS README TODO
%attr(755,root,root) %{_libdir}/libetonyek-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libetonyek-0.1.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libetonyek-0.1.so
%{_includedir}/libetonyek-0.1
%{_pkgconfigdir}/libetonyek-0.1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libetonyek-0.1.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc docs/doxygen/html/*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/key2raw
%attr(755,root,root) %{_bindir}/key2text
%attr(755,root,root) %{_bindir}/key2xhtml
%attr(755,root,root) %{_bindir}/numbers2csv
%attr(755,root,root) %{_bindir}/numbers2raw
%attr(755,root,root) %{_bindir}/numbers2text
%attr(755,root,root) %{_bindir}/pages2html
%attr(755,root,root) %{_bindir}/pages2raw
%attr(755,root,root) %{_bindir}/pages2text
%changelog
* Fri Jul 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libetonyek.git;a=log;h=master

* Fri Jul 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 60cf3ea
- updated to 0.1.3

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 4365c3a
- updated to 0.1.2

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> dfd4f7b
- noarch apidocs

* Thu Jun 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 4735fc4
- updated to 0.1.1

* Sun May 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 73ba306
- updated to 0.1.0 (now librevenge based; new soname, 0.0.x left on libetonyek-0.0 branch)

* Sat Apr 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 150b5ca
- updated to 0.0.4

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> e2d3a1f
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Sun Dec 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 4db8c91
- updated to 0.0.3

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> ec142bf
- new

